### Class method

# Gtk CellAreaClass list_cell_properties

#### Declaration [src]

    GParamSpec**
    gtk_cell_area_class_list_cell_properties (
      CellAreaClass* self
    )

#### Description [src]

Returns all cell properties of a cell area class.

#### Return value

Returns: | An array of `GParamSpec*`
| A newly allocated `NULL`-terminated array of `GParamSpec`*. The array must be freed with g_free().
| The length of the array is in the `n_properties` argument.
| The caller of the function takes ownership of the data container, but not the data inside it.